Last Comment Bug 761872 - content/base/test/test_bug518104.html has race between <iframe> and parent document script
: content/base/test/test_bug518104.html has race between <iframe> and parent do...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Brian Hackett (:bhackett)
:
Mentors:
Depends on:
Blocks: supersnappy
  Show dependency treegraph
 
Reported: 2012-06-05 18:06 PDT by Brian Hackett (:bhackett)
Modified: 2012-06-08 04:23 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (65 bytes, patch)
2012-06-05 18:10 PDT, Brian Hackett (:bhackett)
no flags Details | Diff | Splinter Review
patch (1.55 KB, patch)
2012-06-05 18:25 PDT, Brian Hackett (:bhackett)
bzbarsky: review+
Details | Diff | Splinter Review

Description Brian Hackett (:bhackett) 2012-06-05 18:06:04 PDT
This test has an <iframe> with a deferred script that calls a function in the parent document.  According to bz the semantics here are that the iframe script can start executing as soon as the <iframe> is done being parsed, which may be before the parent script has finished parsing and the function installed on the global.  This is breaking in supersnappy, which is evaluating the scripts in this ordering.
Comment 1 Brian Hackett (:bhackett) 2012-06-05 18:10:14 PDT
Created attachment 630393 [details] [diff] [review]
patch

This causes the parent.done() call to work and the test to pass with supersnappy.
Comment 2 Brian Hackett (:bhackett) 2012-06-05 18:25:14 PDT
Created attachment 630397 [details] [diff] [review]
patch

Now with the correct patch.
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2012-06-05 18:28:47 PDT
Comment on attachment 630397 [details] [diff] [review]
patch

r=me
Comment 4 Brian Hackett (:bhackett) 2012-06-07 14:56:54 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/e758973c6ab1
Comment 5 Graeme McCutcheon [:graememcc] 2012-06-08 04:23:37 PDT
https://hg.mozilla.org/mozilla-central/rev/e758973c6ab1

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.